×

INDI Library v1.9.2 Released (14 Sep 2021)

Bimonthly Stable INDI Library release introduces new drivers and fixes for existing ones.

unable to install pyindi-client on Ubuntu 20.04

  • Posts: 2064
  • Thank you received: 193
I got the requirements (I think) and running python 3.8
However running the following command fails and I cannot figure it out
/# pip3 install pyindi-client
Kstars Mac osx
Odroid C4 / WO Redcat51 / CEM25p / ZWO183MM / QHY5L-II-M (OAG) / ZWO mini FW
5 months 2 weeks ago #69537

Please Log in or Create an account to join the conversation.

  • Posts: 22
  • Thank you received: 14
Please rebuild the indi and pyindi-client from git.
github.com/indilib/indi
github.com/geehalel/pyindi-client
Last edit: 5 months 2 weeks ago by Paweł Soja.
5 months 2 weeks ago #69541

Please Log in or Create an account to join the conversation.

  • Posts: 226
  • Thank you received: 88
Using cached pyindi-client-0.2.7.tar.gz (5.5 kB)

And clear the cache in your .local/cache directory, it seems pip may have some issue here when I only change minor/minor version number (0.2.7 to 0.2.7.a for instance).
5 months 2 weeks ago #69547

Please Log in or Create an account to join the conversation.

  • Posts: 2064
  • Thank you received: 193
I have cleared the cache, that did not work as I still have the same issue.
Kstars Mac osx
Odroid C4 / WO Redcat51 / CEM25p / ZWO183MM / QHY5L-II-M (OAG) / ZWO mini FW
5 months 2 weeks ago #69548

Please Log in or Create an account to join the conversation.

  • Posts: 2064
  • Thank you received: 193

I shouldn't have to build indi from git, this should work from pip3 install.
Kstars Mac osx
Odroid C4 / WO Redcat51 / CEM25p / ZWO183MM / QHY5L-II-M (OAG) / ZWO mini FW
5 months 2 weeks ago #69549

Please Log in or Create an account to join the conversation.

  • Posts: 2064
  • Thank you received: 193
I've downloaded the github.com/geehalel/pyindi-client for debugging only, and tried to install it.
I'm getting the following


root@heidenrod-obs:/home/GitHubstuff/pyindi-client# python setup.py install
/usr/lib/python3/dist-packages/setuptools/dist.py:473: UserWarning: Normalizing '0.2.7b' to '0.2.7b0'
warnings.warn(
running install
running build_ext
building '_PyIndi' extension
swigging indiclientpython.i to indiclientpython_wrap.cpp
swig -python -v -Wall -c++ -threads -I/usr/include -I/usr/include/libindi -I/usr/local/include/libindi -o indiclientpython_wrap.cpp indiclientpython.i
Language subdirectory: python
Search paths:
./
/usr/include/
/usr/include/libindi/
/usr/local/include/libindi/
./swig_lib/python/
/usr/share/swig4.0/python/
./swig_lib/
/usr/share/swig4.0/
Preprocessing...
indiclientpython.i:83: Error: Unable to find 'indipropertybasic.h'
indiclientpython.i:101: Error: Unable to find 'indipropertytext.h'
indiclientpython.i:102: Error: Unable to find 'indipropertynumber.h'
indiclientpython.i:103: Error: Unable to find 'indipropertyswitch.h'
indiclientpython.i:104: Error: Unable to find 'indipropertylight.h'
indiclientpython.i:105: Error: Unable to find 'indipropertyblob.h'
error: command 'swig' failed with exit status 1
root@heidenrod-obs:/

I have the libindi-dev package installed

root@heidenrod-obs:/usr/include/libindi# dpkg -l | grep libindi-dev
ii libindi-dev 1.8.9~202103011149~ubuntu20.04.1 arm64 Instrument-Neutral Device Interface library -- development files
root@heidenrod-obs:/usr/include/libindi#


and the content of the lib folder is

root@heidenrod-obs:/usr/include/libindi# ls
alignment dsp.h indiccdchip.h indidriver.h indiguiderinterface.h indirotatorinterface.h indiversion.h mounts
base64.h eventloop.h indicom.h indidustcapinterface.h indilightboxinterface.h indisensorinterface.h indiweather.h pid.h
baseclient.h hidapi.h indicontroller.h indifilterinterface.h indilogger.h indispectrograph.h indiweatherinterface.h stream
basedevice.h indiapi.h indicorrelator.h indifilterwheel.h indimacros.h indistandardproperty.h indiwidgettraits.h v4l2_builtin_decoder.h
connectionplugins indibase.h indidetector.h indifocuser.h indiproperty.h inditelescope.h indiwidgetview.h v4l2_colorspace.h
defaultdevice.h indibasetypes.h indidevapi.h indifocuserinterface.h indipropertyview.h indiusbdevice.h libastro.h v4l2_decode.h
dsp indiccd.h indidome.h indigps.h indirotator.h indiutility.h lilxml.h
root@heidenrod-obs:/usr/include/libindi#
Kstars Mac osx
Odroid C4 / WO Redcat51 / CEM25p / ZWO183MM / QHY5L-II-M (OAG) / ZWO mini FW
5 months 2 weeks ago #69552

Please Log in or Create an account to join the conversation.

  • Posts: 2064
  • Thank you received: 193
root@heidenrod-obs:/home# dpkg -L libindi-dev | grep indiproperty*
/usr/include/libindi/indiproperty.h
/usr/include/libindi/indipropertyview.h
root@heidenrod-obs:/home#
Kstars Mac osx
Odroid C4 / WO Redcat51 / CEM25p / ZWO183MM / QHY5L-II-M (OAG) / ZWO mini FW
5 months 2 weeks ago #69553

Please Log in or Create an account to join the conversation.

  • Posts: 2064
  • Thank you received: 193
I believe that the following package is incomplete

ii libindi-dev 1.8.9~202103011149~ubuntu20.04.1 arm64

it does not have all the libs available from github.com/indilib/indi/tree/master/libs
Kstars Mac osx
Odroid C4 / WO Redcat51 / CEM25p / ZWO183MM / QHY5L-II-M (OAG) / ZWO mini FW
5 months 2 weeks ago #69556

Please Log in or Create an account to join the conversation.

  • Posts: 2064
  • Thank you received: 193
the missing .h files are in the nightly build and not in the stable. Not sure why pyindi-client requires them.
Kstars Mac osx
Odroid C4 / WO Redcat51 / CEM25p / ZWO183MM / QHY5L-II-M (OAG) / ZWO mini FW
5 months 2 weeks ago #69564

Please Log in or Create an account to join the conversation.

  • Posts: 3
  • Thank you received: 0
I fixed this by checking out the pyindi-client commit just before the high level property includes were added.

git checkout 9a255471f5e91e04404c9d481b16dfc6ce45a582
5 months 1 week ago #69889

Please Log in or Create an account to join the conversation.

Time to create page: 0.473 seconds